=== modified file 'online-accounts-ui/notification.cpp'
--- online-accounts-ui/notification.cpp	2014-06-12 11:53:00 +0000
+++ online-accounts-ui/notification.cpp	2016-07-15 13:41:19 +0000
@@ -52,6 +52,10 @@
 
 } // namespace
 
+static void onNotificationClosed(Notification *notification) {
+    Q_EMIT notification->closed();
+}
+
 NotificationPrivate::NotificationPrivate(const QString &summary,
                                          const QString &body,
                                          Notification *notification):
@@ -70,7 +74,7 @@
                                              bodyUtf8.constData(),
                                              NULL);
     g_signal_connect_swapped(m_notification, "closed",
-                             G_CALLBACK(&Notification::closed), notification);
+                             G_CALLBACK(onNotificationClosed), notification);
 }
 
 NotificationPrivate::~NotificationPrivate()

